<?php

//Theme Option -> Typography
$theme_typography_panel = new Miion_WP_Customize_Panel( $wp_customize, 'theme_typography_panel', array(
	'title'			=> esc_html__( 'Typography', 'miion' ),
	'description'	=> esc_html__( 'These are the theme typography options', 'miion' ),
	'priority'		=> 4,
	'panel'			=> 'miion_theme_panel'
));
$wp_customize->add_panel( $theme_typography_panel );

//Typography -> General Typography
$miion_general_typography_section = new Miion_WP_Customize_Section( $wp_customize, 'miion_general_typography_section', array(
	'title'			=> esc_html__( 'General Typography', 'miion' ),
	'description'	=> esc_html__( 'This is the setting for theme general typography', 'miion' ),
	'priority'		=> 1,
	'panel'			=> 'theme_typography_panel'
));
$wp_customize->add_section( $miion_general_typography_section );

//General Typography
$wp_customize->add_setting('ajax_trigger_miion_general_typography_section', array(
	'default'           => '',
	'sanitize_callback' 	=> 'esc_attr'
));
$wp_customize->add_control( new Trigger_Custom_control( $wp_customize, 'ajax_trigger_miion_general_typography_section', array(
	'section'		=> 'miion_general_typography_section'
)));

//Typography -> Widgets Typography
$miion_widget_typography_section = new Miion_WP_Customize_Section( $wp_customize, 'miion_widget_typography_section', array(
	'title'			=> esc_html__( 'Widgets Typography', 'miion' ),
	'description'	=> esc_html__( 'This is the setting for theme widgets typography', 'miion' ),
	'priority'		=> 2,
	'panel'			=> 'theme_typography_panel'
));
$wp_customize->add_section( $miion_widget_typography_section );

//Widgets Typography
$wp_customize->add_setting('ajax_trigger_miion_widget_typography_section', array(
	'default'           => '',
	'sanitize_callback' 	=> 'esc_attr'
));
$wp_customize->add_control( new Trigger_Custom_control( $wp_customize, 'ajax_trigger_miion_widget_typography_section', array(
	'section'		=> 'miion_widget_typography_section'
)));

//Typography -> Menu Typography
$miion_menu_typography_section = new Miion_WP_Customize_Section( $wp_customize, 'miion_menu_typography_section', array(
	'title'			=> esc_html__( 'Menu Typography', 'miion' ),
	'description'	=> esc_html__( 'This is the setting for theme menu typography', 'miion' ),
	'priority'		=> 3,
	'panel'			=> 'theme_typography_panel'
));
$wp_customize->add_section( $miion_menu_typography_section );

//Menu Typography
$wp_customize->add_setting('ajax_trigger_miion_menu_typography_section', array(
	'default'           => '',
	'sanitize_callback' 	=> 'esc_attr'
));
$wp_customize->add_control( new Trigger_Custom_control( $wp_customize, 'ajax_trigger_miion_menu_typography_section', array(
	'section'		=> 'miion_menu_typography_section'
)));


//Typography -> Other Typography
$miion_menu_other_typography_section = new Miion_WP_Customize_Section( $wp_customize, 'miion_menu_other_typography_section', array(
	'title'			=> esc_html__( 'Other Typography', 'miion' ),
	'description'	=> esc_html__( 'This is the setting for other typography', 'miion' ),
	'priority'		=> 4,
	'panel'			=> 'theme_typography_panel'
));
$wp_customize->add_section( $miion_menu_other_typography_section );

//Other Typography
$wp_customize->add_setting('ajax_trigger_miion_menu_other_typography_section', array(
	'default'           => '',
	'sanitize_callback' 	=> 'esc_attr'
));
$wp_customize->add_control( new Trigger_Custom_control( $wp_customize, 'ajax_trigger_miion_menu_other_typography_section', array(
	'section'		=> 'miion_menu_other_typography_section'
)));